# Results from linear shallow water test case.
kinetics = [];
potentials = [];
times = [];
times.append(0);
kinetics.append(0);
potentials.append(0.193812);
times.append(0.05);
kinetics.append(0.00686252);
potentials.append(0.186949);
times.append(0.1);
kinetics.append(0.0251466);
potentials.append(0.168665);
times.append(0.15);
kinetics.append(0.0495378);
potentials.append(0.144274);
times.append(0.2);
kinetics.append(0.0747225);
potentials.append(0.119089);
times.append(0.25);
kinetics.append(0.0969764);
potentials.append(0.0968351);
times.append(0.3);
kinetics.append(0.113896);
potentials.append(0.0799152);
times.append(0.35);
kinetics.append(0.123894);
potentials.append(0.0699175);
times.append(0.4);
kinetics.append(0.126556);
potentials.append(0.0672558);
times.append(0.45);
kinetics.append(0.123314);
potentials.append(0.0704978);
times.append(0.5);
kinetics.append(0.117173);
potentials.append(0.0766387);
times.append(0.55);
kinetics.append(0.111189);
potentials.append(0.0826222);
times.append(0.6);
kinetics.append(0.106948);
potentials.append(0.0868638);
times.append(0.65);
kinetics.append(0.104398);
potentials.append(0.0894137);
times.append(0.7);
kinetics.append(0.102845);
potentials.append(0.0909669);
times.append(0.75);
kinetics.append(0.101791);
potentials.append(0.0920208);
times.append(0.8);
kinetics.append(0.101042);
potentials.append(0.0927697);
times.append(0.85);
kinetics.append(0.100512);
potentials.append(0.0932995);
times.append(0.9);
kinetics.append(0.100138);
potentials.append(0.0936736);
times.append(0.95);
kinetics.append(0.0998753);
potentials.append(0.0939363);
times.append(1);
kinetics.append(0.0996938);
potentials.append(0.0941177);
times.append(1.05);
kinetics.append(0.0995709);
potentials.append(0.0942406);
times.append(1.1);
kinetics.append(0.0994894);
potentials.append(0.0943221);
times.append(1.15);
kinetics.append(0.099434);
potentials.append(0.0943776);
times.append(1.2);
kinetics.append(0.0993903);
potentials.append(0.0944212);
times.append(1.25);
kinetics.append(0.0993457);
potentials.append(0.0944658);
times.append(1.3);
kinetics.append(0.0992897);
potentials.append(0.0945219);
times.append(1.35);
kinetics.append(0.0992136);
potentials.append(0.0945979);
times.append(1.4);
kinetics.append(0.09911);
potentials.append(0.0947015);
times.append(1.45);
kinetics.append(0.0989723);
potentials.append(0.0948393);
times.append(1.5);
kinetics.append(0.0987947);
potentials.append(0.0950168);
times.append(1.55);
kinetics.append(0.0985728);
potentials.append(0.0952387);
times.append(1.6);
kinetics.append(0.0983027);
potentials.append(0.0955089);
times.append(1.65);
kinetics.append(0.0979802);
potentials.append(0.0958314);
times.append(1.7);
kinetics.append(0.0976005);
potentials.append(0.096211);
times.append(1.75);
kinetics.append(0.0971579);
potentials.append(0.0966537);
times.append(1.8);
kinetics.append(0.096647);
potentials.append(0.0971645);
times.append(1.85);
kinetics.append(0.0960643);
potentials.append(0.0977472);
times.append(1.9);
kinetics.append(0.0954074);
potentials.append(0.0984041);
times.append(1.95);
kinetics.append(0.0946742);
potentials.append(0.0991373);
times.append(2);
kinetics.append(0.0938624);
potentials.append(0.0999491);
times.append(2.05);
kinetics.append(0.0929693);
potentials.append(0.100842);
times.append(2.1);
kinetics.append(0.0919912);
potentials.append(0.10182);
times.append(2.15);
kinetics.append(0.0909223);
potentials.append(0.102889);
times.append(2.2);
kinetics.append(0.0897523);
potentials.append(0.104059);
times.append(2.25);
kinetics.append(0.0884638);
potentials.append(0.105348);
times.append(2.3);
kinetics.append(0.0870281);
potentials.append(0.106783);
times.append(2.35);
kinetics.append(0.0853997);
potentials.append(0.108412);
times.append(2.4);
kinetics.append(0.0835055);
potentials.append(0.110306);
times.append(2.45);
kinetics.append(0.0812291);
potentials.append(0.112582);
times.append(2.5);
kinetics.append(0.0783992);
potentials.append(0.115412);
times.append(2.55);
kinetics.append(0.0748116);
potentials.append(0.119);
times.append(2.6);
kinetics.append(0.0703365);
potentials.append(0.123475);
times.append(2.65);
kinetics.append(0.0651607);
potentials.append(0.128651);
times.append(2.7);
kinetics.append(0.0601404);
potentials.append(0.133671);
times.append(2.75);
kinetics.append(0.0570627);
potentials.append(0.136749);
times.append(2.8);
kinetics.append(0.0584513);
potentials.append(0.13536);
times.append(2.85);
kinetics.append(0.0666604);
potentials.append(0.127151);
times.append(2.9);
kinetics.append(0.082544);
potentials.append(0.111267);
times.append(2.95);
kinetics.append(0.104593);
potentials.append(0.089219);
times.append(3);
kinetics.append(0.129291);
potentials.append(0.0645204);
times.append(3.05);
kinetics.append(0.152389);
potentials.append(0.0414223);
times.append(3.1);
kinetics.append(0.169909);
potentials.append(0.0239025);
times.append(3.15);
kinetics.append(0.178374);
potentials.append(0.0154376);
times.append(3.2);
kinetics.append(0.175156);
potentials.append(0.0186557);
times.append(3.25);
kinetics.append(0.159803);
potentials.append(0.0340087);
times.append(3.3);
kinetics.append(0.135405);
potentials.append(0.0584067);
times.append(3.35);
kinetics.append(0.108079);
potentials.append(0.0857328);
times.append(3.4);
kinetics.append(0.0842409);
potentials.append(0.109571);
times.append(3.45);
kinetics.append(0.0677043);
potentials.append(0.126107);
times.append(3.5);
kinetics.append(0.05893);
potentials.append(0.134882);
times.append(3.55);
kinetics.append(0.0565923);
potentials.append(0.137219);
times.append(3.6);
kinetics.append(0.0593173);
potentials.append(0.134494);
times.append(3.65);
kinetics.append(0.0657327);
potentials.append(0.128079);
times.append(3.7);
kinetics.append(0.0735929);
potentials.append(0.120219);
times.append(3.75);
kinetics.append(0.0801024);
potentials.append(0.113709);
times.append(3.8);
kinetics.append(0.0836049);
potentials.append(0.110207);
times.append(3.85);
kinetics.append(0.0845656);
potentials.append(0.109246);
times.append(3.9);
kinetics.append(0.084653);
potentials.append(0.109159);
times.append(3.95);
kinetics.append(0.0850991);
potentials.append(0.108712);
times.append(4);
kinetics.append(0.0859999);
potentials.append(0.107812);
times.append(4.05);
kinetics.append(0.0868219);
potentials.append(0.10699);
times.append(4.1);
kinetics.append(0.0872486);
potentials.append(0.106563);
times.append(4.15);
kinetics.append(0.0874609);
potentials.append(0.106351);
times.append(4.2);
kinetics.append(0.0877326);
potentials.append(0.106079);
times.append(4.25);
kinetics.append(0.0880525);
potentials.append(0.105759);
times.append(4.3);
kinetics.append(0.088283);
potentials.append(0.105529);
times.append(4.35);
kinetics.append(0.0884372);
potentials.append(0.105374);
times.append(4.4);
kinetics.append(0.0886082);
potentials.append(0.105203);
times.append(4.45);
kinetics.append(0.0888025);
potentials.append(0.105009);
times.append(4.5);
kinetics.append(0.0889884);
potentials.append(0.104823);
times.append(4.55);
kinetics.append(0.0891817);
potentials.append(0.10463);
times.append(4.6);
kinetics.append(0.0894034);
potentials.append(0.104408);
times.append(4.65);
kinetics.append(0.0896433);
potentials.append(0.104168);
times.append(4.7);
kinetics.append(0.089897);
potentials.append(0.103914);
times.append(4.75);
kinetics.append(0.0901768);
potentials.append(0.103635);
times.append(4.8);
kinetics.append(0.0904865);
potentials.append(0.103325);
times.append(4.85);
kinetics.append(0.0908264);
potentials.append(0.102985);
times.append(4.9);
kinetics.append(0.0912066);
potentials.append(0.102605);
times.append(4.95);
kinetics.append(0.0916392);
potentials.append(0.102172);
times.append(5);
kinetics.append(0.0921341);
potentials.append(0.101677);
times.append(5.05);
kinetics.append(0.0927008);
potentials.append(0.101111);
times.append(5.1);
kinetics.append(0.093345);
potentials.append(0.100467);
times.append(5.15);
kinetics.append(0.0940693);
potentials.append(0.0997422);
times.append(5.2);
kinetics.append(0.0948795);
potentials.append(0.098932);
times.append(5.25);
kinetics.append(0.0957848);
potentials.append(0.0980267);
times.append(5.3);
kinetics.append(0.0967984);
potentials.append(0.0970131);
times.append(5.35);
kinetics.append(0.0979387);
potentials.append(0.0958728);
times.append(5.4);
kinetics.append(0.0992319);
potentials.append(0.0945796);
times.append(5.45);
kinetics.append(0.100718);
potentials.append(0.0930937);
times.append(5.5);
kinetics.append(0.102456);
potentials.append(0.0913554);
times.append(5.55);
kinetics.append(0.10453);
potentials.append(0.0892812);
times.append(5.6);
kinetics.append(0.107045);
potentials.append(0.0867661);
times.append(5.65);
kinetics.append(0.110117);
potentials.append(0.0836948);
times.append(5.7);
kinetics.append(0.113829);
potentials.append(0.079983);
times.append(5.75);
kinetics.append(0.118144);
potentials.append(0.0756672);
times.append(5.8);
kinetics.append(0.122754);
potentials.append(0.0710579);
times.append(5.85);
kinetics.append(0.126884);
potentials.append(0.0669275);
times.append(5.9);
kinetics.append(0.129175);
potentials.append(0.0646364);
times.append(5.95);
kinetics.append(0.127768);
potentials.append(0.0660434);
times.append(6);
kinetics.append(0.120757);
potentials.append(0.0730542);
times.append(6.05);
kinetics.append(0.106996);
potentials.append(0.0868154);
times.append(6.1);
kinetics.append(0.0869814);
potentials.append(0.10683);
times.append(6.15);
kinetics.append(0.0633084);
potentials.append(0.130503);
times.append(6.2);
kinetics.append(0.0402623);
potentials.append(0.153549);
times.append(6.25);
kinetics.append(0.0225818);
potentials.append(0.17123);
times.append(6.3);
kinetics.append(0.0140088);
potentials.append(0.179803);
times.append(6.35);
kinetics.append(0.0163827);
potentials.append(0.177429);
times.append(6.4);
kinetics.append(0.0294899);
potentials.append(0.164322);
times.append(6.45);
kinetics.append(0.0512062);
potentials.append(0.142605);
times.append(6.5);
kinetics.append(0.0775382);
potentials.append(0.116273);
times.append(6.55);
kinetics.append(0.103002);
potentials.append(0.0908091);
times.append(6.6);
kinetics.append(0.122127);
potentials.append(0.0716847);
times.append(6.65);
kinetics.append(0.131776);
potentials.append(0.0620353);
times.append(6.7);
kinetics.append(0.132538);
potentials.append(0.0612737);
times.append(6.75);
kinetics.append(0.127712);
potentials.append(0.0660996);
times.append(6.8);
kinetics.append(0.120744);
potentials.append(0.073068);
times.append(6.85);
kinetics.append(0.113545);
potentials.append(0.0802667);
times.append(6.9);
kinetics.append(0.106939);
potentials.append(0.0868728);
times.append(6.95);
kinetics.append(0.101876);
potentials.append(0.0919355);
times.append(7);
kinetics.append(0.0994494);
potentials.append(0.0943621);
times.append(7.05);
kinetics.append(0.0996995);
potentials.append(0.094112);
times.append(7.1);
kinetics.append(0.101047);
potentials.append(0.0927643);
times.append(7.15);
kinetics.append(0.101483);
potentials.append(0.092328);
times.append(7.2);
kinetics.append(0.100356);
potentials.append(0.0934552);
times.append(7.25);
kinetics.append(0.0986916);
potentials.append(0.09512);
times.append(7.3);
kinetics.append(0.0977417);
potentials.append(0.0960698);
times.append(7.35);
kinetics.append(0.0976255);
potentials.append(0.096186);
times.append(7.4);
kinetics.append(0.0975795);
potentials.append(0.096232);
times.append(7.45);
kinetics.append(0.0971025);
potentials.append(0.096709);
times.append(7.5);
kinetics.append(0.0963904);
potentials.append(0.0974211);
times.append(7.55);
kinetics.append(0.095825);
potentials.append(0.0979865);
times.append(7.6);
kinetics.append(0.0954749);
potentials.append(0.0983366);
times.append(7.65);
kinetics.append(0.0951455);
potentials.append(0.098666);
times.append(7.7);
kinetics.append(0.0946918);
potentials.append(0.0991197);
times.append(7.75);
kinetics.append(0.0941744);
potentials.append(0.0996371);
times.append(7.8);
kinetics.append(0.0937343);
potentials.append(0.100077);
times.append(7.85);
kinetics.append(0.0933854);
potentials.append(0.100426);
times.append(7.9);
kinetics.append(0.0930305);
potentials.append(0.100781);
times.append(7.95);
kinetics.append(0.0926486);
potentials.append(0.101163);
times.append(8);
kinetics.append(0.0923121);
potentials.append(0.101499);
times.append(8.05);
kinetics.append(0.092029);
potentials.append(0.101783);
times.append(8.1);
kinetics.append(0.091732);
potentials.append(0.102079);
times.append(8.15);
kinetics.append(0.0914033);
potentials.append(0.102408);
times.append(8.2);
kinetics.append(0.091069);
potentials.append(0.102743);
times.append(8.25);
kinetics.append(0.0907118);
potentials.append(0.1031);
times.append(8.3);
kinetics.append(0.0902945);
potentials.append(0.103517);
times.append(8.35);
kinetics.append(0.0898179);
potentials.append(0.103994);
times.append(8.4);
kinetics.append(0.0892869);
potentials.append(0.104525);
times.append(8.45);
kinetics.append(0.0886706);
potentials.append(0.105141);
times.append(8.5);
kinetics.append(0.0879296);
potentials.append(0.105882);
times.append(8.55);
kinetics.append(0.0870295);
potentials.append(0.106782);
times.append(8.6);
kinetics.append(0.0859173);
potentials.append(0.107894);
times.append(8.65);
kinetics.append(0.0845174);
potentials.append(0.109294);
times.append(8.7);
kinetics.append(0.0827445);
potentials.append(0.111067);
times.append(8.75);
kinetics.append(0.0805034);
potentials.append(0.113308);
times.append(8.8);
kinetics.append(0.0777065);
potentials.append(0.116105);
times.append(8.85);
kinetics.append(0.0743295);
potentials.append(0.119482);
times.append(8.9);
kinetics.append(0.0704889);
potentials.append(0.123323);
times.append(8.95);
kinetics.append(0.0665436);
potentials.append(0.127268);
times.append(9);
kinetics.append(0.0632074);
potentials.append(0.130604);
times.append(9.05);
kinetics.append(0.0616144);
potentials.append(0.132197);
times.append(9.1);
kinetics.append(0.0632456);
potentials.append(0.130566);
times.append(9.15);
kinetics.append(0.069628);
potentials.append(0.124184);
times.append(9.2);
kinetics.append(0.0817918);
potentials.append(0.11202);
times.append(9.25);
kinetics.append(0.0996053);
potentials.append(0.0942062);
times.append(9.3);
kinetics.append(0.121267);
potentials.append(0.0725442);
times.append(9.35);
kinetics.append(0.143306);
potentials.append(0.0505056);
times.append(9.4);
kinetics.append(0.161281);
potentials.append(0.0325302);
times.append(9.45);
kinetics.append(0.171053);
potentials.append(0.0227582);
times.append(9.5);
kinetics.append(0.17012);
potentials.append(0.023691);
times.append(9.55);
kinetics.append(0.15842);
potentials.append(0.0353913);
times.append(9.6);
kinetics.append(0.13827);
potentials.append(0.0555411);
times.append(9.65);
kinetics.append(0.113638);
potentials.append(0.0801731);
times.append(9.7);
kinetics.append(0.0891969);
potentials.append(0.104615);
times.append(9.75);
kinetics.append(0.0694369);
potentials.append(0.124375);
times.append(9.8);
kinetics.append(0.057737);
potentials.append(0.136074);
times.append(9.85);
kinetics.append(0.0553161);
potentials.append(0.138495);
times.append(9.9);
kinetics.append(0.0605682);
potentials.append(0.133243);
times.append(9.95);
kinetics.append(0.0696313);
potentials.append(0.12418);
times.append(10);
kinetics.append(0.0783355);
potentials.append(0.115476);
